# LegendAndColour Struct Reference

Structure for holding relevant data for legends in small map. More...

## Data Fields
uint8 | colour
| Colour of the item on the map.
StringID | legend
| String corresponding to the coloured item.
IndustryType | type
| Type of industry. Only valid for industry entries.
uint8 | height
| Height in tiles. Only valid for height legend entries.
CompanyID | company
| Company to display. Only valid for company entries of the owner legend.
bool | show_on_map
| For filtering industries, if `true`, industry is shown on the map in colour.
bool | end
| This is the end of the list.
bool | col_break
| Perform a column break and go further at the next column.

## Detailed Description

Structure for holding relevant data for legends in small map.

Definition at line 81 of file smallmap_gui.cpp.

The documentation for this struct was generated from the following file:

- src/smallmap_gui.cpp